body {
    background-color: #f8f9fa;
}
a{
    color:#1e1e1e;
}
.card {
    margin-bottom: 20px;
}

.tag {
    background-color: #007bff;
    color: white;
    font-size: 12px;
    padding: 2px 5px;
    border-radius: 3px;
    margin: 5px;
}

.avatar-container {
    display: flex;
    flex-direction: column; /* Coloca los elementos en columna (vertical) */
    align-items: center;    /* Centra la imagen y los detalles */
    margin-right: 15px;     /* Espaciado entre avatar y contenido */
}

/* Estilo para la imagen del avatar */
.avatar {
    
    height: 60px;
    width: 60px;
}

/* Estilos para los detalles debajo de la imagen */
.avatar-details {
    text-align: center; /* Centra los textos */
}

.avatar-details small {
    display: block; /* Hace que cada elemento ocupe su propia línea */
    color: #6c757d; /* Color gris típico de Bootstrap */
    margin-bottom: 4px; /* Espaciado entre los detalles */
}
.post-meta {
	padding:20px;
}
.post-meta small {
    margin-right: 15px;
    color: #6c757d;
}

.vote-btn {
    cursor: pointer;
}

footer {
	background-color: #343a40;
	color: white;
	padding: 10px 0;
    margin-top: 30px;
	width: 100%;
	text-align: center;
}

.pagination {
    justify-content: center;
	padding:100px;
}
.pagination a.active {
    background: #007BFF;
    color: white;
    pointer-events: none;
}
.profile-stats {
	display: flex;
    justify-content: space-around;
    align-items: center;
}
.btn-outline-secondary, .btn-outline-danger {
    margin-right: 10px;
}

.custom-select-sm {
    width: 200px;
}
@media (max-width: 576px) {
    /* Contenedor de botones y select en columna para mobile */
    .d-flex {
        flex-direction: column;
        align-items: stretch;
    }

    /* Apila los botones en mobile */
    .btn-outline-secondary, .btn-outline-danger {
        margin-right: 0;
        margin-bottom: 10px; /* Añade espacio entre los botones */
        width: 100%; /* Ocupa todo el ancho en móvil */
    }

    /* Select ocupa todo el ancho */
    .custom-select-sm {
        width: 100%; /* Full width en pantallas pequeñas */
    }
}

/* ESTILOS DE create.php */
.tag-input-container {
	margin: 20px;
	width: 100%;
	max-width: 500px;
	border: 1px solid #ccc;
	padding: 10px;
	border-radius: 5px;
}
.tags-selected {
	margin: 10px 0;
}
.tag-item {
	display: inline-block;
	background-color: #007bff;
	color: white;
	padding: 5px 5px;
	margin: 5px;
	border-radius: 5px;
	
}
.tag-item i {
	margin-left: 5px;
	cursor: pointer;
}
.suggestions {
	list-style: none;
	padding-left: 0;            
	max-height: 150px;
	width:50%;
	overflow-y: auto;
	position: absolute;
	background-color: #007bff;
	color: white;
	border-radius: 10px;
	z-index: 1;
	
}
.suggestions li {
	padding: 10px;
	cursor: pointer;
}

.moderator-tools {
	padding:20px;
}

.thumbnail {
    width: 100px;
    height: 100px;
    object-fit: cover;
    margin: 10px;
}